A reading list for Linux and open source fans
======

![](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/books_stack_library_reading.jpg?itok=uulcS8Sw)
I recently asked our writer community to share with us what they're reading. These folks come from all different walks of life and roles in tech. What they have in common is that they are living and breathing Linux and open source every day.

Drink in this fantastic list. Many of them are free and available to download.

You may see books you've been meaning to get around to, books that are completely new to you, and some that feel like old friends.

We'd love to hear what you think of this list. Share with us in the comments below or on [Twitter][1] with #Linuxbooks #opensourcebooks.

### 17 books to add to your reading list

**Plus, a bonus fiction read.**

[23 Years of FreeDOS][2] by Jim Hall

Last year, the [FreeDOS][3] Project turned 23 years old. While there's nothing special about 23 years, the project decided to celebrate that milestone by sharing stories about how different people use or contribute to FreeDOS. The free, CC BY eBook is a collection of essays that describe the history of FreeDOS since 1994, and how people use FreeDOS today. (Recommendation and review by [Jim Hall][4])

[Eloquent JavaScript][5] by Marijn Haverbeke

This book teaches you how to write beautifully crafted programs using one of the most ubiquitous programming languages: [Javascript][6]. Learn the basics and advanced concepts of the language, and how to write programs that run in the browser or Node.js environment. The book also includes five fun projects so you can dive into actual programming while making a platform game or even writing your own programming language. (Recommendation and review by [Rahul Thakoor][7])

[_Forge Your Future with Open Source_][8] by VM (Vicky) Brasseur

If you're looking to contribute to open source, but you don't know how to start, this is the book for you. It covers how to find a project to join and how to make your first contributions. (Recommendation and review by [Ben Cotton][9])

[_Git for Teams_][10] by Emma Jane Hogbin Westby

Git is a widely-used version control system for individuals and teams alike, but its power means it can be complex. This book provides guidance on how to effectively use [git][11] in a team environment. For more, read our [in-depth review][12]. (Recommendation and review by [Ben Cotton][9])

[Getting to Yes][13] by Fisher, Ury, and Patton

The Harvard Negotiation Project, formed in the 1970s, was an academic effort involving economists, psychologists, sociologists, and political scientists to create a framework for negotiations which allows better outcomes for all involved. Their framework and techniques have been used in a diverse set of circumstances, including the Camp David Accords between Egypt and Israel in 1978.

Principled Negotiation involves understanding the real interests of the participants in a negotiation and using this knowledge to generate options acceptable to all. The same techniques can be used to resolve interpersonal issues, negotiations over cars and houses, discussions with insurance companies, and so on.

What does this have to do with open source software development? Everything in open source is a negotiation, in some sense. Submitting a bug report is outlining a position—that something does not work correctly—and requesting that someone reprioritize their work to fix it. A heated discussion on a mailing list over the right way to do something or a comment on a feature request is a negotiation, often with imperfect knowledge, about the scope and goals of the project.

Reframing these conversations as explorations, trying to understand why the other person is asking for something, and being transparent about the reasons why you believe another viewpoint to apply, can dramatically change your relationships and effectiveness working in an open source project. (Recommendation and review by [Dave Neary][14])

[Just for Fun: The Story of an Accidental Revolutionary][15] by Linus Torvalds et al.

Linux is an amazing and powerful operating system that spawned a movement to transparency and openness. And, the open source ethos that drives it flies in the face of traditional models of business and capital appreciation. In this book, learn about the genius of Linus the man and [Linux][16] the operating system. Get insight into the experiences that shaped Linus's life and fueled his transformation from a nerdy young man who enjoyed toying with his grandfather's clock to the master programmer of the world's predominant operating system. (Recommendation and review by [Don Watkins][17])

[Linux in a Month of Lunches][18] by Steven Ovadia

This book is designed to teach non-technical users how to use desktop [Linux][19] in about an hour a day. The book covers everything from choosing a desktop environment to installing software, to using Git. At the end of the month, readers can use Linux fulltime, replacing their other operating systems. (Recommendation and review by [Steven Ovadia][20])

[Linux in Action][21] by David Clinton

This book introduces serious Linux administration tools for anyone interested in getting more out of their tech, including IT professionals, developers, [DevOps][22] specialists, and more. Rather than teaching skills in isolation, the book is organized around practical projects like automating off-site data backups, securing a web server, and creating a VPN to safely connect an organization's resources. [Read more][23] by this author. (Recommendation and review by [David Clinton][24])

[Make: Linux for Makers][25] by Aaron Newcomb

This book is a must-read for anyone wanting to create and innovate with the [Raspberry Pi][26]. This book will have you up and operating your Raspberry Pi while at the same time understanding the nuances of it Raspbian Linux operating system. This is a masterful basic text that will help any maker unlock the potential of the Raspberry Pi. It’s concise and well written with a lot of fantastic illustrations and practical examples. (Recommendation by Jason Hibbets | Review by [Don Watkins][17])

[Managing Humans: Biting and Humorous Tales of a Software Engineering Manager][27] by Michael Lopp

Michael Lopp is better known by the nom de plume Rands, author of the popular blog [Rands in Repose][28]. This book is an edited, curated collection of blog posts, all related to the management of software development teams. What I love about the book and the blog, is that Rands starts from the fundamental principle that the most complex part of software development is human interactions. The book covers a range of topics about reading a group, understanding the personalities that make it up, and figuring out how to get the best out of everyone.

These things are universal, and as an open source community manager, I come across them all the time. How do you know if someone might be burning out? How do you run a good meeting? How do you evolve the culture of a project and team as it grows? How much process is the right amount? Regardless of the activity, questions like these arise all the time, and Rands's irreverent, humorous take is educational and entertaining. (Recommendation and review by [Dave Neary][14])

[Open Sources: Voices from the Open Source Revolution][29] (O'Reilly, 1999)

This book is a must-read for all open source enthusiasts. Linus Torvalds, Eric S. Raymond, Richard Stallman, Michael Tiemann, Tim O'Reilly, and other important figures in the open source movement share their thoughts on the forward momentum of [open source software][30]. (Recommendation by [Jim Hall][4] | Review by Jen Wike Huger)

[Producing Open Source Software: How to Run a Successful Free Software Project][31] by Karl Fogel

This book is for anyone who wants to build an open source community, is already building one, or wants to better understand trends in successful open source project community development. Karl Fogel analyzes and studies traits and characteristics of successful open source projects and how they have developed a community around the project. The book offers helpful advice to community managers (or want-to-be community managers) on how to navigate community development around a project. This is a rare book that takes a deeper look into open source community development and offers plenty of ingredients for success, but you have to take it and create the recipe for your project or community. (Recommendation and review by [Justin Flory][32])

[Programming with Robots][33] by Albert W. Schueller

This book introduces the basics of programming using the Lego Mindstorms NXT. Instead of writing abstract programs, learn how to program devices that can sense and interface with the physical world. Learn how software and hardware interact with each other while experimenting with sensors, motors or making music using code. (Recommendation and review by [Rahul Thakoor][7])

[The AWK programming language][34] by Alfred V. Aho, Brian W. Kernighan, and Peter J. Weinberger

This book, written by the creators of awk, follows a pattern similar to other books about *nix tools written by the original Bell Labs Unix team and published in the 1970s-1990s, explaining the rationale and intended use of awk in clear and compact prose, liberally sprinkled with examples that start simply and are further elaborated by the need to deal with more fully-detailed problems and edge cases. When published, the typical reader of this book would have been someone who had files of textual or numeric data that needed to be processed and transformed, and who wanted to be able to easily create lookup tables, apply regular expressions, react to structure changes within the input, apply mathematical transformations to numbers and easily format the output.

While that characterization still applies, today the book can also provide a window back into the time when the only user interface available was a terminal, when "modularity" created the ability to string together numerous single-purpose utility programs in shell scripts to create data transformation pipelines that crunched the data and produced the reports that everyone expected of computers. Today, awk should be a part of the operations toolbox, providing a fine ability to further process configuration and log files, and this book still provides a great introduction to that process. (Recommendation by [Jim Hall][4] | Review by [Chris Hermansen][35])

[Think Python: Think Like a Computer Scientist][36] by Allen Downey

This book about [Python][37] is part of [a series][38] that covers other languages as well, like Java, [Perl][39], etc. It moves past simple language syntax downloads and approaches the topic through the lens of how a problem solver would build a solution. It's both a great introductory guide to programming through a layering of concepts, but it can serve the dabbler who is looking to develop skills in an area such as classes or inheritance with chapters that have examples and exercises to then apply the skills taught. (Recommendation and review by [Steve Morris][40])

[Understanding Open Source and Free Software Licensing][41] (O'Reilly, 2004)

"This book bridges the gap between the open source vision and the practical implications of its legal underpinnings. If open source and free software licenses interest you, this book will help you understand them. If you're an open source/free software developer, this book is an absolute necessity." (Recommendation by [Jim Hall][4] | review from [Amazon][42])

[Unix Text Processing][43] by Dale Dougherty and Tim O'Reilly

This book was written in 1987 as an introduction to Unix systems and how writers could use Unix tools to do work. It's still a useful resource for beginners to learn the basics of the Unix shell, the vi editor, awk and shell scripts, and the nroff and troff typesetting system. The original edition is out of print, but O'Reilly has made the book available for free via their website. (Recommendation and review by [Jim Hall][4])

### Bonus: Fiction book

[Station Eleven][44] by Emily St. John Mandel

This story is set in a near future, twenty years after the earth's population has been decimated by a mysterious and deadly flu. We follow Kirsten Raymonde, a young woman who is traveling near the Great Lakes with a nomadic theatre group because "Survival is insufficient," as she makes her way through the post-apocalyptic world. It's a wonderful story, well worth reading.

What struck me about the book is how tenuous our relationship with technology actually is. In the Douglas Adams book "Mostly Harmless", there is a great line: "Left to his own devices he couldn't build a toaster. He could just about make a sandwich and that was it." This is the world of Kristin Raymonde. Everyone has been left to their own devices: There is no electricity because no one can work the power grid. No cars, no oil refineries.

There is a fascinating passage where one inventor has rigged up a generator with a bicycle and is trying to turn on a laptop, trying to see if there is still an internet. We discover the Museum of Civilization, stocked with objects which have no use, which has been left over from the old world: passports, mobile phones, credit cards, stilettoes.

All of the world's technology becomes useless. (Recommendation and review by [Dave Neary][14])

--------------------------------------------------------------------------------

via: https://opensource.com/article/18/5/list-books-Linux-open-source

作者：[Jen Wike Huger][a]
选题：[lujun9972](https://github.com/lujun9972)
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/remyd
[1]:https://twitter.com/opensourceway
[2]:http://www.freedos.org/ebook/
[3]:https://opensource.com/article/18/5/node/44116
[4]:https://opensource.com/users/jim-hall
[5]:https://eloquentjavascript.net/
[6]:https://opensource.com/article/18/5/node/32826
[7]:https://opensource.com/users/rahul27
[8]:https://pragprog.com/book/vbopens/forge-your-future-with-open-source
[9]:https://opensource.com/users/bcotton
[10]:http://gitforteams.com/
[11]:https://opensource.com/article/18/5/node/43741
[12]:https://opensource.com/business/15/11/git-for-teams-review
[13]:http://www.williamury.com/books/getting-to-yes/
[14]:https://opensource.com/users/dneary
[15]:http://a.co/749s27n
[16]:https://opensource.com/article/18/5/node/19796
[17]:https://opensource.com/users/don-watkins
[18]:https://manning.com/ovadia
[19]:https://opensource.com/article/18/5/node/42626
[20]:https://opensource.com/users/stevenov
[21]:https://www.manning.com/books/linux-in-action?a_aid=bootstrap-it&a_bid=4ca15fc9
[22]:https://opensource.com/article/18/5/node/44696
[23]:https://bootstrap-it.com/index.php/books/
[24]:https://opensource.com/users/dbclinton
[25]:https://www.makershed.com/products/make-linux-for-makers
[26]:https://opensource.com/article/18/5/node/35731
[27]:https://www.amazon.com/Managing-Humans-Humorous-Software-Engineering/dp/1484221575/ref=dp_ob_title_bk
[28]:http://randsinrepose.com/
[29]:https://www.oreilly.com/openbook/opensources/book/index.html
[30]:https://opensource.com/article/18/5/node/42001
[31]:https://producingoss.com/
[32]:https://opensource.com/users/justinflory
[33]:http://engineering.nyu.edu/gk12/amps-cbri/pdf/RobotC%20FTC%20Books/notesRobotC.pdf
[34]:https://archive.org/details/pdfy-MgN0H1joIoDVoIC7
[35]:https://opensource.com/users/clhermansen
[36]:http://greenteapress.com/thinkpython2/thinkpython2.pdf
[37]:https://opensource.com/article/18/5/node/40481
[38]:http://greenteapress.com/wp/
[39]:https://opensource.com/article/18/5/node/35141
[40]:https://opensource.com/users/smorris12
[41]:http://shop.oreilly.com/product/9780596005818.do
[42]:https://www.amazon.com/Understanding-Open-Source-Software-Licensing/dp/0596005814
[43]:http://www.oreilly.com/openbook/utp/
[44]:http://www.emilymandel.com/stationeleven.html
